ul.menu {
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

ul.menu,
ul.menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.menu > li {
    position: relative;
    margin-left: 3px;
    margin-right: 3px;
}

ul.menu > li > a {
    padding:0 12px;
}
ul.menu > li:has(.sub-menu) > a:after {
    content: '';
    background: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"%3E%3Cpath d="M4.293 5.293a1 1 0 0 1 1.414 0L8 7.586l2.293-2.293a1 1 0 1 1 1.414 1.414l-3 3a1 1 0 0 1-1.414 0l-3-3a1 1 0 0 1 0-1.414z"%3E%3C/path%3E%3C/svg%3E') no-repeat center;
    width: 28px;
    height:100%;
    float: right;
    border:none !important;
    height: 26px;
}

ul.menu a {
    color: #000;
    display: block;
}

ul.menu > li ul {
    position: absolute;
    z-index: 3;
    background: white;
    opacity: 0;
    visibility: hidden;
    padding: 0;
    min-width: 260px;
}

ul.menu li:hover ul {
    opacity: 1;
    visibility: visible;
    border-radius: 6px;
    overflow: hidden;
}

ul.menu > li ul li {
    padding: 0;
}

ul.menu > li ul li a {
    padding:10px 20px;
}

/*ul.menu > li ul li.current-menu-item a,*/
ul.menu > li ul li a:hover {
    background: #1a3c4c;
    color: #fff !important;
}

ul.sub-menu {
    -webkit-box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.2);
    transform:translateX(-40px);
}

span.bm-cart-count {
    content: '';
    display: inline-block;
    background: #d3d3d3;
    width: 23px;
    height: 23px;
    line-height: 23px;
    position: absolute;
    top: 0;
    border-radius: 50%;
    font-size: 0.85em;
    overflow: hidden;
    text-align: center;
    font-family: sans-serif;
}

/* menu mobile */
@media (max-width: 767px) {
    ul#menu-menu-principal-1.menu li {
        border-radius: 4px;
        background-color: white;
    }

    ul.menu li > a {
        padding: 6px;
    }

    ul.menu > li > a {
        height: auto;
        line-height: inherit;
    }

    .sub-menu li {
        border-radius: 4px;
    }

    #offcanvasMenu .offcanvas-body {
        padding-top:80px;
    }

    #offcanvasMenu .offcanvas-body button.btn-close {
        position:absolute;
        top:16px;
        right:16px;
        width:6px;
        height:6px;
        padding:14px;
        border-radius:16px;
        background-color:white;
        opacity:0.8 !important;
    }

    #offcanvasMenu.dragging {
        transition: none !important;
    }

    #offcanvasMenu.swipe-out {
        transition: transform 0.2s ease-out;
        transform: translateX(-100%) !important;
    }

    #offcanvasMenu {
        background: #1a3c4c;
        width:100%;
    }

    #offcanvasMenu .offcanvas-header {
        justify-content: center;
    }

    #offcanvasMenu .offcanvas-header .btn-close {
        color: white;
        opacity: 1;
        background: none !important;
        font-size: 32px;
    }

    #offcanvasMenu .menu {
        flex-direction: column;
    }

    #offcanvasMenu .menu > li ul {
        transform: translateY(0px);
        opacity: 1;
        visibility: visible;
        position: relative;
        background: transparent;
        display: none;
        padding:0;
        transition: none;
    }

    #offcanvasMenu .menu > li {
        text-transform: uppercase;
        margin: 7px 0;
        font-size: 18px;
    }

    #offcanvasMenu .menu > li a {
        display: block;
    }

    #offcanvasMenu .menu > li ul li {
        font-size: 16px;
        margin: 7px 0;
        text-transform: none;
    }

    #offcanvasMenu ul.menu > li ul li a {
        padding:3px 10px;
        margin:1px 10px 1px 10px;
    }

    #offcanvasMenu ul.menu > li ul li a:hover {
        background: none;
        color: #000 !important;
    }

    #offcanvasMenu .logo-panel-mobile img {
        width: 80%;
    }

    ul.sub-menu {
        -webkit-box-shadow: none;
        -moz-box-shadow: none;
        box-shadow: none;
    }
}

